/*  Header file for treefile.c                             */
#ifndef _TREEFILE_H_
#define _TREEFILE_H_

/* This contains the structures, TTree and TNode which */
/* can be edited to add more elements                  */
#include "tree.h"

/*CS:*/
extern int indelRoot, invariableSites;
extern char *indelRootSequence;
extern short *indelRootInvariable;
/**/
TTree *NewTree();
void DisposeTree(TTree *tree);
void FreeTree(TTree *tree);
void WriteAvailInfo();

int CountTrees(FILE *fv);
void ReadTree(FILE *fv, TTree *tree, int treeNum, int numNames, char **names, 
				int *outNumSites, double *outRelRate);
int IsTreeAvail(FILE *fv);
void WriteTree(FILE *fv, TTree *tree);

void UnrootRTree(TTree *tree);
void RerootUTree(TTree *tree, int tip);

#endif /* _TREEFILE_H_ */

